Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_IFR_Client_Adapter Class Reference

TAO_IFR_Client_Adapter. More...

`#include <IFR_Client_Adapter.h>`

Inheritance diagram for TAO_IFR_Client_Adapter:

[legend]
Collaboration diagram for TAO_IFR_Client_Adapter:

[legend]
List of all members.

## Public Methods
virtual | ~TAO_IFR_Client_Adapter (void)
virtual CORBA::Boolean | interfacedef_cdr_insert (TAO_OutputCDR &cdr, CORBA::InterfaceDef_ptr object_type)=0
virtual void | interfacedef_any_insert (CORBA::Any &any, CORBA::InterfaceDef_ptr object_type)=0
virtual void | dispose (CORBA::InterfaceDef_ptr orphan)=0
virtual CORBA::InterfaceDef_ptr | get_interface (CORBA::ORB_ptr orb, const char *repo_id ACE_ENV_ARG_DECL)=0
virtual CORBA::InterfaceDef_ptr | get_interface_remote (CORBA::Object_ptr target ACE_ENV_ARG_DECL)=0
virtual void | create_operation_list (CORBA::ORB_ptr orb, CORBA::OperationDef_ptr, CORBA::NVList_ptr &ACE_ENV_ARG_DECL)=0

## Detailed Description

TAO_IFR_Client_Adapter.

Class that adapts various functions in the CORBA namespace which use the Interface Repository. This is a base class for the actual implementation in the TAO_IFR_Client library.

## Constructor & Destructor Documentation

TAO_IFR_Client_Adapter::~TAO_IFR_Client_Adapter | ( | void |  | ) | `[virtual]`

## Member Function Documentation

virtual void TAO_IFR_Client_Adapter::create_operation_list | ( | CORBA::ORB_ptr | orb,
|  | CORBA::OperationDef_ptr | ,
|  | CORBA::NVList_ptr & | ACE_ENV_ARG_DECL
| ) | `[pure virtual]`

virtual void TAO_IFR_Client_Adapter::dispose | ( | CORBA::InterfaceDef_ptr | orphan | ) | `[pure virtual]`

virtual CORBA::InterfaceDef_ptr TAO_IFR_Client_Adapter::get_interface | ( | CORBA::ORB_ptr | orb,
|  | const char *repo_id | ACE_ENV_ARG_DECL
| ) | `[pure virtual]`

virtual CORBA::InterfaceDef_ptr TAO_IFR_Client_Adapter::get_interface_remote | ( | CORBA::Object_ptr target | ACE_ENV_ARG_DECL | ) | `[pure virtual]`

virtual void TAO_IFR_Client_Adapter::interfacedef_any_insert | ( | CORBA::Any & | any,
|  | CORBA::InterfaceDef_ptr | object_type
| ) | `[pure virtual]`

virtual CORBA::Boolean TAO_IFR_Client_Adapter::interfacedef_cdr_insert | ( | TAO_OutputCDR & | cdr,
|  | CORBA::InterfaceDef_ptr | object_type
| ) | `[pure virtual]`

The documentation for this class was generated from the following files:

- IFR_Client_Adapter.h
- IFR_Client_Adapter.cpp